Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.envers.configuration.metadata
Enum InheritanceType

    java.lang.Object
      java.lang.Enum<InheritanceType>
          org.hibernate.envers.configuration.metadata.InheritanceType

All Implemented Interfaces:
  Serializable, Comparable<InheritanceType>

    public enum InheritanceType

extends Enum<InheritanceType>

Author:
  Adam Warski (adam at warski dot org)

Enum Constant Summary
`JOINED`
`NONE`
`SINGLE`
`TABLE_PER_CLASS`

Method Summary
`static InheritanceType` | `get(PersistentClass pc)`
`static InheritanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static InheritanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final InheritanceType NONE

### JOINED

    public static final InheritanceType JOINED

### SINGLE

    public static final InheritanceType SINGLE

### TABLE_PER_CLASS

    public static final InheritanceType TABLE_PER_CLASS

Method Detail

### values

    public static InheritanceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (InheritanceType c : InheritanceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static InheritanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static InheritanceType get(PersistentClass pc)

  Parameters:
    `pc` - The class for which to get the inheritance type.
  Returns:
    The inheritance type of this class. NONE, if this class does not inherit from another persisten class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.